function update_axes_style(ax_handles, lw, fz, fn, hold_str, xlabelstr, ylabelstr)

for i = 1 : numel(ax_handles)
    
    if iscell(ax_handles)
        ax_handle = ax_handles{i};
    else
        ax_handle = ax_handles;
    end
    
    if iscell(lw)
        if numel(lw)~=numel(ax_handles)
            lw_i = lw{1};
        else
            lw_i = lw{i};
        end
    else
        lw_i = lw(1);
    end
    
    if iscell(fz)
        if numel(fz)~=numel(ax_handles)
            fz_i = fz{1};
        else
            fz_i = fz{i};
        end
    else
        fz_i = fz(1);
    end
    
    if iscell(fn)
        if numel(fn)~=numel(ax_handles)
            fn_i = fn{1};
        else
            fn_i = fn{i};
        end
    else
        fn_i = fn;
    end

    if iscell(hold_str)
        if numel(hold_str)~=numel(ax_handles)
            hold_str_i = hold_str{1};
        else
            hold_str_i = hold_str{i};
        end
    else
        hold_str_i = hold_str;
    end
    
    if iscell(xlabelstr)
        if numel(xlabelstr)~=numel(ax_handles)
            xlabelstr_i = xlabelstr{1};
        else
            xlabelstr_i = xlabelstr{i};
        end
    else
        xlabelstr_i = xlabelstr;
    end
    
    if iscell(ylabelstr)
        if numel(ylabelstr)~=numel(ax_handles)
            ylabelstr_i = ylabelstr{1};
        else
            ylabelstr_i = ylabelstr{i};
        end
    else
        ylabelstr_i = ylabelstr;
    end
    
    set(ax_handle, 'LineWidth', lw_i, 'FontSize', fz_i, 'FontName', fn_i, 'NextPlot', hold_str_i);
    ax_handle.XLabel.String = xlabelstr_i;
    ax_handle.YLabel.String = ylabelstr_i;
end


